<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: timlCNNDataSet Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">timlCNNDataSet Struct Reference<div class="ingroups"><a class="el" href="group__cnn.html">cnn</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a1c2cd5e5e5f2be74498a40ddcef92473"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c2cd5e5e5f2be74498a40ddcef92473"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>num</b></td></tr>
<tr class="separator:a1c2cd5e5e5f2be74498a40ddcef92473"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0498d04bb6ebbdc46a9e3aac0bc101c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac0498d04bb6ebbdc46a9e3aac0bc101c"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>channel</b></td></tr>
<tr class="separator:ac0498d04bb6ebbdc46a9e3aac0bc101c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa674b0d7d30a83dbee53085dbf9cf61"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa674b0d7d30a83dbee53085dbf9cf61"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>row</b></td></tr>
<tr class="separator:aaa674b0d7d30a83dbee53085dbf9cf61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f9dfc3b5b321b865cc84680b1bbe12d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f9dfc3b5b321b865cc84680b1bbe12d"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>col</b></td></tr>
<tr class="separator:a0f9dfc3b5b321b865cc84680b1bbe12d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedc507e5f143b3e5a925b245ba54cdd3"><td class="memItemLeft" align="right" valign="top">float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNDataSet.html#aedc507e5f143b3e5a925b245ba54cdd3">data</a></td></tr>
<tr class="separator:aedc507e5f143b3e5a925b245ba54cdd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0524c58abba3b98c42f252b3229396bf"><td class="memItemLeft" align="right" valign="top">int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNDataSet.html#a0524c58abba3b98c42f252b3229396bf">label</a></td></tr>
<tr class="separator:a0524c58abba3b98c42f252b3229396bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="aedc507e5f143b3e5a925b245ba54cdd3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float* timlCNNDataSet::data</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>size = (rowSize * colSize * channel) * num </p>

</div>
</div>
<a class="anchor" id="a0524c58abba3b98c42f252b3229396bf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* timlCNNDataSet::label</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>size = num </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="timlCNN_8h_source.html">timlCNN.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
